---
when:
  event:
    - push

steps:
  build:
    image: git.badhouseplants.net/badhouseplants/badhouseplants-builder:ff4a98f2acb557ad443f279627036bebf06bc4f1
    name: Build shoebill operator image
    privileged: true
    commands:
      - |
        if [[ "${CI_COMMIT_TAG}" ]]; then
          export CUSTOM_TAG="${CI_COMMIT_TAG}";
        fi
      - build-container
    secrets:
      - gitea_token
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 500Mi
            cpu: 200m
          limits:
            memory: 1000Mi
            cpu: 1000m
        securityContext:
          privileged: true
